#include "xgfxworldvertexlayerdata.h"

XGfxWorldVertexLayerData::XGfxWorldVertexLayerData()
    : XAsset()
    , mDataPtr(0)
    , mData()
    , mLayerVb()
{
    
}

XGfxWorldVertexLayerData::~XGfxWorldVertexLayerData()
{
    
}

void XGfxWorldVertexLayerData::ParseData(QDataStream *aStream)
{
    
}

void XGfxWorldVertexLayerData::Clear()
{
    mDataPtr = 0;
    mData.clear();
    mLayerVb.Clear();
}
